Name:       php-maennchen-zipstream-php
Version:    0.5.2
Release:    2%{?dist}
BuildArch:  noarch

License:    MIT
Summary:    A fast and simple streaming zip file downloader for PHP
URL:        https://github.com/maennchen/ZipStream-PHP
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: php-composer(fedora/autoloader)
BuildRequires: php-fedora-autoloader-devel
BuildRequires: php-zip
BuildRequires: phpunit6 >= 6.3

Requires:   php(language) >= 7.0
Requires:   php-date
Requires:   php-hash
Requires:   php-mbstring
Requires:   php-pcre
Requires:   php-reflection
Requires:   php-spl
Requires:   php-zip
Requires:   php-zlib

Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(maennchen/zipstream-php) = %{version}


%description
A fork of pablotron's zip streaming library, a fast and simple streaming
zip file downloader for PHP.


%prep
%autosetup -n ZipStream-PHP-%{version}


%build
%{_bindir}/phpab --format fedora --output src/autoload.php src


%install
install -d -p -m 0755 %{buildroot}/%{_datadir}/php
install -d -p -m 0755 %{buildroot}/%{_datadir}/php/ZipStream

cp -ar src/* %{buildroot}/%{_datadir}/php/ZipStream


%check
sed -i "s:require.*:require('%{buildroot}/%{_datadir}/php/ZipStream/autoload.php');:" test/bootstrap.php

phpunit6 --no-coverage


%files
%license LICENSE.md
%doc composer.json
%doc doc
%doc README.md
%{_datadir}/php/ZipStream


%changelog
* Thu Sep 13 2018 Remi Collet <remi@remirepo.net> - 0.5.2-2
- switch to phpunit6

* Sun Sep 09 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2 (#1486085).
- https://github.com/maennchen/ZipStream-PHP/compare/v0.4.1...v0.5.2

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 20 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.4.1-2
- Use ZipStream instead of maennchen/zipstream-php for the package location.
- Use --no-coverage on phpunit and drop --bootstrap.

* Sat Feb 18 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.4.1-1
- Initial release.
